
Calamari - Bug #9522

Error thrown from the restapi while modifying pool

09/18/2014 03:49 AM - Kanagaraj Mayilsamy

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Christina Meno   

Category: Backend (REST API)   

Target version: 1.3-dev8   

Source: other Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

When pool modification request is sent with name(unmodified) and replica(modified), 409 error is thrown with message "Pool with

name test2 already exists"

Steps to reproduce from the UI.

1. Create a pool with name 'test2'

2. Wait for the pool to appear in the pool list screen

3. Click on edit pool

4. Change the pool name to 'test1' then revert to 'test2'

5. Increase the replica count

6. Click on Save button

7. An error will be thrown in the message box (which not readable at the moment, refer

1

)

8. If the developer tool is enable in the browser, the error message can be seen as "Pool with name test2 already exists" with 409

status code

Step-5 can be optional while reproducing this error.

[1] http://tracker.ceph.com/issues/9486

Associated revisions

Revision 8152e015 - 11/05/2014 01:12 AM - Gregory Meno 

rest-api: change name validation on update and tests for same

This allows name to be present on an update, and still rejects updating

a pool to have the same name as another pool

Signed-off-by: Gregory Meno <gmeno@redhat.com>

Fixes: #9522

History

#1 - 09/23/2014 11:16 AM - Dan Mick

- Assignee set to Christina Meno

#2 - 09/23/2014 11:16 AM - Dan Mick

- Category set to Backend (REST API)
- Target version set to 1.3 backlog

#3 - 10/07/2014 11:13 AM - Christina Meno

- Status changed from New to 12

#4 - 11/04/2014 11:29 AM - Christina Meno

- Target version changed from 1.3 backlog to 1.3-dev8

#5 - 11/04/2014 05:11 PM - Christina Meno

- Status changed from 12 to Fix Under Review

https://github.com/ceph/calamari/pull/213

#6 - 11/05/2014 07:59 AM - Christina Meno

- Status changed from Fix Under Review to Resolved
